Gecode::SetExpr::Node Class Reference

Node for set expression More...

## Public Member Functions

| Node (void)
| Default constructor.
bool | decrement (void)
| Decrement reference count and possibly free memory.

## Static Public Member Functions

static void * | operator new (size_t size)
| Memory management.
static void | operator delete (void *p, size_t size)
| Memory management.

## Public Attributes

unsigned int | use
| Nodes are reference counted.
int | same
| Number of variables in subtree with same type (for INTER and UNION).
NodeType | t
| Type of expression.
Node * | l
| Subexpressions.
Node * | r
SetVar | x
| Possibly a variable.
IntSet | s
| Possibly a constant.
LinIntExpr | e
| Possibly a linear expression.

## Detailed Description

Node for set expression

Definition at line 51 of file set-expr.cpp.

## Constructor & Destructor Documentation

## Node()

Gecode::SetExpr::Node::Node | ( | void |  | ) |

Default constructor.

Definition at line 83 of file set-expr.cpp.

## Member Function Documentation

## decrement()

bool Gecode::SetExpr::Node::decrement | ( | void |  | ) |

Decrement reference count and possibly free memory.

Definition at line 95 of file set-expr.cpp.

## operator new()

void * Gecode::SetExpr::Node::operator new | ( | size_t | size | ) |

static

Memory management.

Definition at line 86 of file set-expr.cpp.

## operator delete()

void Gecode::SetExpr::Node::operator delete | ( | void * | p,
|  | size_t | size )

static

Memory management.

Definition at line 90 of file set-expr.cpp.

## Member Data Documentation

## use

unsigned int Gecode::SetExpr::Node::use

Nodes are reference counted.

Definition at line 54 of file set-expr.cpp.

## same

int Gecode::SetExpr::Node::same

Number of variables in subtree with same type (for INTER and UNION).

Definition at line 56 of file set-expr.cpp.

## t

NodeType Gecode::SetExpr::Node::t

Type of expression.

Definition at line 58 of file set-expr.cpp.

## l

Node* Gecode::SetExpr::Node::l

Subexpressions.

Definition at line 60 of file set-expr.cpp.

## r

Node * Gecode::SetExpr::Node::r

Definition at line 60 of file set-expr.cpp.

## x

SetVar Gecode::SetExpr::Node::x

Possibly a variable.

Definition at line 62 of file set-expr.cpp.

## s

IntSet Gecode::SetExpr::Node::s

Possibly a constant.

Definition at line 64 of file set-expr.cpp.

## e

LinIntExpr Gecode::SetExpr::Node::e

Possibly a linear expression.

Definition at line 66 of file set-expr.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/set-expr.cpp